> For the complete documentation index, see [llms.txt](https://docs.aisuru.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aisuru.com/api-en/engine/user.md).

# User

## Lists all User objects associated with the Memori of the current session.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/Users/{strSessionID}":{"get":{"tags":["User"],"summary":"Lists all User objects associated with the Memori of the current session.","description":"This API requires a Giver session.","operationId":"User-ListUsers","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListUsersResponse"}}}}}}}},"components":{"schemas":{"ListUsersResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of User objects.","format":"int32"},"users":{"type":"array","items":{"$ref":"#/components/schemas/UserSpecs"},"description":"List of User objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Users request."},"UserSpecs":{"type":"object","properties":{"userID":{"type":"string","description":"User object ID.","nullable":true},"externalUserID":{"type":"string","description":"External User ID obtained during session opening.","nullable":true},"userName":{"type":"string","description":"User name.","nullable":true},"tenantName":{"type":"string","description":"Name of the Tenant the User belongs to.","nullable":true},"email":{"type":"string","description":"User e-mail address.","nullable":true},"disableDeepThought":{"type":"boolean","description":"Deep Thought disable flag for the User."},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a User object."}}}}
````

## Lists User objects associated with the Memori of the current session, with pagination.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/Users/{strSessionID}/{from}/{howMany}":{"get":{"tags":["User"],"summary":"Lists User objects associated with the Memori of the current session, with pagination.","description":"This API requires a Giver session.","operationId":"User-ListUsersPaginated","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"from","in":"path","description":"The 0-based index of the first User to list","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"howMany","in":"path","description":"The number of User objects to list","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListUsersResponse"}}}}}}}},"components":{"schemas":{"ListUsersResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of User objects.","format":"int32"},"users":{"type":"array","items":{"$ref":"#/components/schemas/UserSpecs"},"description":"List of User objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Users request."},"UserSpecs":{"type":"object","properties":{"userID":{"type":"string","description":"User object ID.","nullable":true},"externalUserID":{"type":"string","description":"External User ID obtained during session opening.","nullable":true},"userName":{"type":"string","description":"User name.","nullable":true},"tenantName":{"type":"string","description":"Name of the Tenant the User belongs to.","nullable":true},"email":{"type":"string","description":"User e-mail address.","nullable":true},"disableDeepThought":{"type":"boolean","description":"Deep Thought disable flag for the User."},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a User object."}}}}
````

## Gets the details of a User object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/User/{strSessionID}/{strUserID}":{"get":{"tags":["User"],"summary":"Gets the details of a User object.","description":"This API requires a Giver session.","operationId":"User-GetUser","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strUserID","in":"path","description":"The User object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetUserResponse"}}}}}}}},"components":{"schemas":{"GetUserResponse":{"type":"object","properties":{"user":{"$ref":"#/components/schemas/UserSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get User request."},"UserSpecs":{"type":"object","properties":{"userID":{"type":"string","description":"User object ID.","nullable":true},"externalUserID":{"type":"string","description":"External User ID obtained during session opening.","nullable":true},"userName":{"type":"string","description":"User name.","nullable":true},"tenantName":{"type":"string","description":"Name of the Tenant the User belongs to.","nullable":true},"email":{"type":"string","description":"User e-mail address.","nullable":true},"disableDeepThought":{"type":"boolean","description":"Deep Thought disable flag for the User."},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a User object."}}}}
````

## Lists all Topic objects referenced by a specified User object.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/UserTopics/{strSessionID}/{strUserID}":{"get":{"tags":["User"],"summary":"Lists all Topic objects referenced by a specified User object.","description":"This API requires a Giver session.","operationId":"User-ListUserTopics","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strUserID","in":"path","description":"The User object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTopicsResponse"}}}}}}}},"components":{"schemas":{"ListTopicsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Topic objects.","format":"int32"},"topics":{"type":"array","items":{"$ref":"#/components/schemas/TopicSpecs"},"description":"List of Topic objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Topics request."},"TopicSpecs":{"type":"object","properties":{"topicID":{"type":"string","description":"Topic object ID.","nullable":true},"name":{"type":"string","description":"Topic name.","nullable":true},"weight":{"type":"number","description":"Topic weight, i.e. the ratio between the number of times this\r\ntopic has been referenced versus to total number of references.","format":"double"},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Topic object."}}}}
````

## Lists Topic objects referenced by a specified User object, with pagination.

> This API requires a Giver session.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/UserTopics/{strSessionID}/{strUserID}/{from}/{howMany}":{"get":{"tags":["User"],"summary":"Lists Topic objects referenced by a specified User object, with pagination.","description":"This API requires a Giver session.","operationId":"User-ListUserTopicsPaginated","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strUserID","in":"path","description":"The User object ID","required":true,"schema":{"type":"string"}},{"name":"from","in":"path","description":"The 0-based index of the first Topic object to list","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"howMany","in":"path","description":"The number of Topic objects to list","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTopicsResponse"}}}}}}}},"components":{"schemas":{"ListTopicsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Topic objects.","format":"int32"},"topics":{"type":"array","items":{"$ref":"#/components/schemas/TopicSpecs"},"description":"List of Topic objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Topics request."},"TopicSpecs":{"type":"object","properties":{"topicID":{"type":"string","description":"Topic object ID.","nullable":true},"name":{"type":"string","description":"Topic name.","nullable":true},"weight":{"type":"number","description":"Topic weight, i.e. the ratio between the number of times this\r\ntopic has been referenced versus to total number of references.","format":"double"},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Topic object."}}}}
````

## GET /memori/v2/KnownFacts/{strSessionID}

> Lists all Known Facts objects associated with the current User.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/KnownFacts/{strSessionID}":{"get":{"tags":["User"],"summary":"Lists all Known Facts objects associated with the current User.","operationId":"User-ListKnownFacts","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListKnownFactsResponse"}}}}}}}},"components":{"schemas":{"ListKnownFactsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Known Fact objects.","format":"int32"},"knownFacts":{"type":"array","items":{"$ref":"#/components/schemas/KnownFactSpecs"},"description":"List of Known Fact objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Known Facts request."},"KnownFactSpecs":{"type":"object","properties":{"knownFactID":{"type":"string","description":"Known Fact object ID.","nullable":true},"knownFactType":{"type":"string","description":"Known Fact type, e.g. <code>ShortTerm</code> or <code>LongTerm</code>. <br> Currently possible values are:<ul> <li><code>ShortTerm</code>: this Known Fact is always used during conversations</li> <li><code>LongTerm</code>: this Known Fact is used during conversations only if relevant to the current question</li> </ul>","nullable":true},"text":{"type":"string","description":"Text of the Known Fact.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Known Fact object."}}}}
````

## GET /memori/v2/KnownFacts/{strSessionID}/{from}/{howMany}

> Lists Known Facts objects associated with the current User, with pagination.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/KnownFacts/{strSessionID}/{from}/{howMany}":{"get":{"tags":["User"],"summary":"Lists Known Facts objects associated with the current User, with pagination.","operationId":"User-ListKnownFactsPaginated","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"from","in":"path","description":"The 0-based index of the first Known Fact to list","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"howMany","in":"path","description":"The number of Known Fact objects to list","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListKnownFactsResponse"}}}}}}}},"components":{"schemas":{"ListKnownFactsResponse":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of Known Fact objects.","format":"int32"},"knownFacts":{"type":"array","items":{"$ref":"#/components/schemas/KnownFactSpecs"},"description":"List of Known Fact objects.\r\nMay be empty.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Known Facts request."},"KnownFactSpecs":{"type":"object","properties":{"knownFactID":{"type":"string","description":"Known Fact object ID.","nullable":true},"knownFactType":{"type":"string","description":"Known Fact type, e.g. <code>ShortTerm</code> or <code>LongTerm</code>. <br> Currently possible values are:<ul> <li><code>ShortTerm</code>: this Known Fact is always used during conversations</li> <li><code>LongTerm</code>: this Known Fact is used during conversations only if relevant to the current question</li> </ul>","nullable":true},"text":{"type":"string","description":"Text of the Known Fact.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Known Fact object."}}}}
````

## GET /memori/v2/KnownFact/{strSessionID}/{strKnownFactID}

> Gets the details of a Known Fact object.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/KnownFact/{strSessionID}/{strKnownFactID}":{"get":{"tags":["User"],"summary":"Gets the details of a Known Fact object.","operationId":"User-GetKnownFact","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strKnownFactID","in":"path","description":"The Known Fact object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetKnownFactResponse"}}}}}}}},"components":{"schemas":{"GetKnownFactResponse":{"type":"object","properties":{"knownFact":{"$ref":"#/components/schemas/KnownFactSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Get Known Fact request."},"KnownFactSpecs":{"type":"object","properties":{"knownFactID":{"type":"string","description":"Known Fact object ID.","nullable":true},"knownFactType":{"type":"string","description":"Known Fact type, e.g. <code>ShortTerm</code> or <code>LongTerm</code>. <br> Currently possible values are:<ul> <li><code>ShortTerm</code>: this Known Fact is always used during conversations</li> <li><code>LongTerm</code>: this Known Fact is used during conversations only if relevant to the current question</li> </ul>","nullable":true},"text":{"type":"string","description":"Text of the Known Fact.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"creationSessionID":{"type":"string","description":"ID of the session that created this object.","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Always present when reading/receiving\r\nan object, ignored when writing/sending an object.","format":"date-time","nullable":true},"lastChangeSessionID":{"type":"string","description":"ID of the latest session that changed this object.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Known Fact object."}}}}
````

## DELETE /memori/v2/KnownFact/{strSessionID}/{strKnownFactID}

> Deletes an existing Known Fact object.

````json
{"openapi":"3.0.1","info":{"title":"Memori Web API V2","version":"v2"},"paths":{"/memori/v2/KnownFact/{strSessionID}/{strKnownFactID}":{"delete":{"tags":["User"],"summary":"Deletes an existing Known Fact object.","operationId":"User-DeleteKnownFact","parameters":[{"name":"strSessionID","in":"path","description":"The session ID","required":true,"schema":{"type":"string"}},{"name":"strKnownFactID","in":"path","description":"The Known Fact object ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous response.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous response.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is equivalent to the HTTP\r\nstatus code.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````
